#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC9,0xA2,0x9C,0x06,0x9A,0x30,0xEA,0x90,0x42,0xBB,0xC2,0x0D,
		0xB3,0x79,0x54,0x01,0x59,0xF0,0xC9,0x81,0x59,0xD3,0xBF,0xA7,
		0xD4,0xC6,0xB6,0x70,0xD0,0xAB,0x39,0x47,0xC9,0xFD,0xC0,0x26,
		0xC0,0x22,0xC5,0xBB,0x77,0xE6,0xF2,0x3C,0xB8,0xD2,0x08,0x9B,
		0xDA,0xD9,0xE4,0x1A,0x68,0x95,0xAA,0x65,0xFE,0x6E,0x89,0x06,
		0xB9,0x38,0xB7,0x73,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
